\begin{frame}
  \frametitle{Bayesian inference in a nutshell}
  \begin{block}{Bayes' formula}
    \begin{equation}
      \label{eq:bayes}
      P(A|X) = P(X|A)\frac{P(A)}{P(X)}
    \end{equation}
    \begin{itemize}
    \item (Posterior) probability for $A$ given data $X$ is proportional to the \textbf{likelihood}
      of the data $P(X|A)$ at given $A$ times the \textbf{prior} probability distribution of $A$.
    \item $P(X)$ is a proportionality constant
      \begin{equation}
        \label{eq:marginal_likelihood}
        P(X) = \int dA\, P(X|A)\,P(A)
      \end{equation}
      Calculating $P(X)$ requires summation (integration) over all possible choices of $A$.
    \item Integration by Markov-chain MonteCarlo (MCMC).
    \end{itemize}
  \end{block}
\end{frame}
\begin{frame}
  \frametitle{Approximative Bayesian Computation}
  \begin{block}{}
    \begin{itemize}
    \item Here: Likelihood $P(\{N_i\}|\{r_i,w_{ij}\})$ not given in closed form (implicit- model)
    \item[$\Rightarrow$] Approximate Bayesian Computation (Serial MC or Variational Inference)
    \item Various implementations of \textit{probabilistic programming}:
      \begin{itemize}
      \item Turing (Julia)
      \item \textbf{pymc}, edward, tensorflow-probability (python)
      \item Stan (R)
      \end{itemize}
    \end{itemize}
  \end{block}
\end{frame}
